<?php
$R = $_SERVER["DOCUMENT_ROOT"];
$self = $_SERVER["PHP_SELF"];
$min = 40; //минимально можно перевести
$max = 2000; //максимально можно перевести
$procent = 10; // сколько процентов снимать
require_once $R.'/sys/inc/start.php';
require_once $R.'/sys/inc/compress.php';
require_once $R.'/sys/inc/sess.php';
require_once $R.'/sys/inc/home.php';
require_once $R.'/sys/inc/settings.php';
require_once $R.'/sys/inc/db_connect.php';
require_once $R.'/sys/inc/ipua.php';
require_once $R.'/sys/inc/fnc.php';
require_once $R.'/sys/inc/user.php';
only_reg();


$to = (int)$_GET['to'];
if($to == 0 || empty($to) || $to == $user['id'])
{
    header('Location: /index.php?'.SID);exit;
}

$toRow = mysql_fetch_assoc(mysql_query("SELECT `nick` FROM `user` WHERE `id` = ".$to));
if(!is_array($toRow))
{
    header('Location: /index.php?'.SID);exit;
}

$op = isset($_GET['op']) ? $_GET['op'] : '';

switch($op)
{
  case('go'): 
  $col = (int)$_POST['col'];
    if($user['balls'] < $col)
  {
    $_SESSION['bar_error'] = '<span class="color: red;">У Вас нет столько баллов!</span><br />';
    header('Location: '.$self.'?to='.$to.'&'.SID);
    exit;
  }
  elseif($col < $min)
  {
    $_SESSION['bar_error'] = '<span class="color: red;">Сумма не может быть меньше '.$min.' баллов!</span><br />';
    header('Location: '.$self.'?to='.$to.'&'.SID);
    exit;
  }
    elseif($col > $max)
  {
    $_SESSION['bar_error'] = '<span class="color: red;">Сумма не может быть большe '.$max.' баллов!</span><br />';
    header('Location: '.$self.'?to='.$to.'&'.SID);
    exit;
  }
  $percent = $col/100*$procent;
  $colTo = $col - (int)$percent;
  mysql_query("UPDATE `user` SET `balls` = `balls` - {$col} WHERE `id` = {$user['id']}");
  mysql_query("UPDATE `user` SET `balls` = `balls` + $colTo WHERE `id` = {$to}");
  mysql_query("INSERT INTO `jurnal` SET 
  `id_user` = '3',
  `id_kont` = '$to',
  `time` = ".time().",
  `msg` = '[u=$user[id]]$user[nick][/u] передал вам $colTo баллов'
  
  ");
mysql_query("INSERT INTO `sob` SET 
            `id_user` = '$user[id]',  
             `time`= ".time().", 
             `msg` = ' $user[nick] Перевёл баллы $toRow[nick].'
             ");
   $_SESSION['bar_error'] = '<span class="color: green;">Баллы успешно отправленны! Пользователь получил '.$col.' - '.$procent.'% = '.$colTo.' баллов</span><br />';
    header('Location: '.$self.'?to='.$to.'&'.SID);
    exit;
  
  break;  

default:
$set['title']='Перевод баллов'; // заголовок страницы
include_once $R.'/sys/inc/thead.php';
title();
echo "<center>
<img src=\"sys/icons/konkurs/bariga.png\"></center>
<div style='border: 1px dotted black;padding: 3px;'>
<em>
".(isset($_SESSION['bar_error']) ? $_SESSION['bar_error'] : "")."
У Вас в наличии <b>{$user['balls']}</b> баллов<br />
Минимальная сумма <b>$min</b> баллов.<br />
Максимальная сумма <b>$max</b> баллов.<br />
При переводе снимается коммисия <b>$procent</b> процентов от количества баллов.<br />
</em>
</div>
<b>Сколько баллов перевести пользователю <a href='/info.php?id={$to}'>{$toRow['nick']}</a> ?</b><br />
<form action=\"".$self."?op=go&amp;to={$to}\" method=\"post\">
<input type=\"text\" name=\"col\" /><br />
<input type=\"submit\" value=\"Отправить\" />
</form>
";
unset($_SESSION['bar_error']);
break;
}


echo "<a href='/info.php?id={$to}'>Анкета {$toRow['nick']}</a><br />";
require_once $R.'/sys/inc/tfoot.php';


?>